Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008260TestLinkBug Tracking System - JIRA Integrationpublic2018-05-10 19:252018-10-06 12:17
Reportertjosephine 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version7
Product Version1.9.17 (2018 Q1) 
Fixed in Version1.9.18 (2018 Q3) 
Summary0008260: "Add Link in Issue Tracker" checkbox doesn't work anymore
DescriptionWhen creating a new Jira issue (option "Create Issue") from a failed test case in TestLink 1.9.17, there is the possibility to add a link to the test case execution feature by selecting "Add Link in Issue to Test Case Execution Feature".
After checking the new bug created in Jira, just the Notes were added in the Description field, the link/URL to testLink is missing.

Environment:
latest TestLink release 1.9.17 from github
JIRA REST interface to connect to a Jira project
Steps To Reproduce-Add Issue Tracker (JIRA REST)
-Associate the project with the Jira issue tracker
-Select a failed test case
-Create Issue and make sure to select "Add Link in Issue Tracker to Test case Execution Feature"
-Save
-Open Jira and search for the new bug
-Verify in Description field of the bug that the link to TestLink is not added
Additional InformationSame issue when selecting an existing Jira issue.
If we select "Add Link in Issue...", the link in not created in Jira.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserChrome v.58
PHP Version5.6.14
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon Add_Link_in_Issue.png [^] (16,754 bytes) 2018-05-10 19:25

- Relationships
child of 0008241closedfman Availables hot-fixes for 1.9.17 & How To get full fixed package from GitHub 

-  Notes
(0027456)
fman (administrator)
2018-05-12 08:20

issue verified when you add an issue on existent execution.
Will check and provide feedback
(0027457)
fman (administrator)
2018-05-12 08:42

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/0684c9dae4c092421692c65693fb8d64281a8fd0 [^]
(0027459)
tjosephine (reporter)
2018-05-14 19:18

still not working when creating a new bug in JIRA.
If we select "Add Link in Issue Tracker...", the new bug in JIRA doesn't contain the link to the test case in TestLink.

Your change has just fixed the issue when we link an existing bug from JIRA.
(0027469)
tjosephine (reporter)
2018-05-15 19:34

I was able to fix it by updating bugAdd.php at line 31 (added code between << >>)

    case 'doCreate':
     $args->direct_link = getDirectLinkToExec($db,$args->exec_id);
     <<
     if($args->addLinkToTL) {
       $dummy = generateIssueText($db,$args,$its,$args->addLinkToTL);
       $gui->bug_notes = $dummy->description;
       $args->bug_notes = $gui->bug_notes;
     }
     else {
    $dummy = generateIssueText($db,$args,$its);
     } >>
     $gui->bug_summary = $args->bug_summary;
  
     $ret = addIssue($db,$args,$its);
     $gui->issueTrackerCfg->tlCanCreateIssue = $ret['status_ok'];
     $gui->msg = $ret['msg'];
    break;
(0027470)
fman (administrator)
2018-05-15 20:00

thanks
(0027472)
fman (administrator)
2018-05-15 20:40

The right solution is

case 'doCreate':
     $args->direct_link = getDirectLinkToExec($db,$args->exec_id);
     $dummy = generateIssueText($db,$args,$its);
     $gui->bug_summary = $dummy->bug_summary;
     $ret = addIssue($db,$args,$its,$args->addLinkToTL);
break;
(0027473)
fman (administrator)
2018-05-15 20:42

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/595ffb1fa5319e7af322a4f4da098fa78476e3d8 [^]
(0027474)
tjosephine (reporter)
2018-05-15 20:49

Tested successfully. Thanks a lot!
(0027480)
fman (administrator)
2018-05-16 05:42

Great!!
(0027513)
fman (administrator)
2018-06-03 07:39

minor refactoring
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/fc3cae30638b6cf0b7281f22cde2fbd59a4d184d [^]
(0027949)
fman (administrator)
2018-10-06 12:17

1.9.18 released

- Issue History
Date Modified Username Field Change
2018-05-10 19:25 tjosephine New Issue
2018-05-10 19:25 tjosephine File Added: Add_Link_in_Issue.png
2018-05-12 08:18 fman Assigned To => fman
2018-05-12 08:18 fman Status new => feedback
2018-05-12 08:20 fman Note Added: 0027456
2018-05-12 08:40 fman QA Team - Task Workflow Status => TBD
2018-05-12 08:40 fman Summary "Add Link in Issue Tracker" checkbox doesn't work anymore with TestLink 1.9.17 => "Add Link in Issue Tracker" checkbox doesn't work anymore
2018-05-12 08:42 fman Note Added: 0027457
2018-05-12 08:42 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2018-05-12 08:42 fman Status feedback => resolved
2018-05-12 08:42 fman Fixed in Version => 1.9.18 (2018 Q3)
2018-05-12 08:42 fman Resolution open => fixed
2018-05-12 08:42 fman Product Version => 1.9.17 (2018 Q1)
2018-05-12 08:42 fman Relationship added child of 0008241
2018-05-14 19:18 tjosephine Note Added: 0027459
2018-05-15 19:34 tjosephine Note Added: 0027469
2018-05-15 20:00 fman Note Added: 0027470
2018-05-15 20:40 fman Note Added: 0027472
2018-05-15 20:42 fman Note Added: 0027473
2018-05-15 20:49 tjosephine Note Added: 0027474
2018-05-16 05:42 fman Note Added: 0027480
2018-06-03 07:39 fman Note Added: 0027513
2018-10-06 12:17 fman Note Added: 0027949
2018-10-06 12:17 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker